use crate::runtime::RuntimeHandle;
use std::future::Future;

pub use jitterbug::{JoinError, JoinHandle};

pub fn spawn<T: Send + 'static>(future: impl Future<Output = T> + Send + 'static) -> JoinHandle<T> {
    RuntimeHandle::current().spawn(future)
}

pub fn spawn_blocking<T: Send + 'static>(
    callback: impl FnOnce() -> T + Send + 'static,
) -> JoinHandle<T> {
    RuntimeHandle::current().spawn_blocking(callback)
}
